# 🔐 Python Cryptography

A blazing-fast cryptography library for Python, built on Rust.

Puantum supports an extensive set of **post-quantum** key encapsulation mechanisms (KEM) and digital signature algorithms (DSA), and will soon support **classic cryptography** as well.

---
## ⚡ Features
- ✅ Dozens of NIST PQC candidates 
- 🦀 Rust core for speed and safety
- 📦 Easy installation via [`pip`](https://pip.pypa.io)
---

### 🧬 Supported Algorithms

### 🛡️ KEM
- #### Bike
- #### ClassicMcEliece
- #### Hqc
- #### Kyber
- #### MLKEM
- #### NtruPrime
- #### FrodoKem

### ✍️ DSA
- #### Cross
- #### Dilithium
- #### Falcon
- #### Mayo
- #### MLDSA
- #### Sphincs
- #### Uov

### 🚧 Coming Soon
- #### AES, ChaCha20, XChaCha20
- #### RSA, EC
- #### Argon2, Bcrypt

### 📦 Install
```shell
pip install puantum
```
#### or from source:
```shell
make python
```

### 🥳 Enjoy!
